Bug 1651556 - [DDF] If CPU don't have support hardware virtualization, RHEL KVM will not run. But virt-host-validate just warn as
Summary: [DDF] If CPU don't have support hardware virtualization, RHEL KVM will not ru...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Jiri Herrmann
QA Contact: RHEL DPM
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 10:38 UTC by Direct Docs Feedback
Modified: 2019-02-16 02:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-23 17:22:39 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Direct Docs Feedback 2018-11-20 10:38:23 UTC
If CPU don't have support hardware virtualization, RHEL KVM will not run.  But virt-host-validate just warn as "performance will be significantly limited."

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8-beta/html/configuring_and_managing_virtualization/getting-started-with-virtualization-in-rhel-8_configuring-and-managing-virtualization#annotations:09b65044-e7f7-47da-9bdb-96fb26c443da

Comment 1 Kazuo Moriwaka 2018-11-20 10:51:31 UTC
I think if virt-host-validate shows "Check firmware settings to enable VT-x/AMD-V", it will be good.

Comment 2 Jaroslav Suchanek 2018-11-20 14:02:27 UTC
(In reply to Kazuo Moriwaka from comment #1)
> I think if virt-host-validate shows "Check firmware settings to enable
> VT-x/AMD-V", it will be good.

I guess the virt-host-validate does not have downstream hacks, so if there is missing VT-X/AMD-V cpu feature it just warns about it even though QEMU's TCG mode should not be supported in RHEL. Jirka, any idea?

Comment 3 Jiri Denemark 2018-11-20 14:49:25 UTC
That's correct, virt-host-validate does not contain any downstream hacks.

However, the bug description is not correct. While KVM will not be usable, one
can still create QEMU virtual machines using TCG (domain type "qemu" in
libvirt vs. "kvm"). And in that case, performance will indeed be significantly
limited. I believe such usage is also officially unsupported, but I don't
really see anything wrong with what virt-host-validate says.

Comment 5 Kazuo Moriwaka 2018-11-21 14:00:12 UTC
I agree with virt-host-validate's message is not wrong as general purpose diagnose message. 

I suggest adding a note or sentence after procedure 3 to complement virt-host-validate's message. Such as "To avoid unpractical low performance, RHEL QEMU will fail to start if CPU's hardware virtualization support is missing." 

There isn't a clear statement about the requirements of CPU's HVM support in this document. It's not a problem (all recent CPU has HVM support), but adding this note would decrease # of support cases from nested virtualization users.

Thanks,

Comment 7 Kazuo Moriwaka 2018-11-23 16:19:25 UTC
It's very clear description and I'm OK with this fix.
Thank you,


Note You need to log in before you can comment on or make changes to this bug.